import React from "react";
export declare type TextfieldProps = {
    autoComplete?: "on" | "off";
    id?: string;
    label?: string;
    required?: boolean;
    disabled?: boolean;
    color?: string;
    type?: string;
    defaultValue?: string | number;
    helperText?: string;
    className?: string;
    multiline?: boolean;
    rows?: number;
    fullWidth?: boolean;
    error?: boolean;
    value?: string | number;
    placeholder?: string;
    autoFocus?: boolean;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onBlur?: (event: React.ChangeEvent<HTMLInputElement>) => void;
};
export declare type RefType = HTMLInputElement;
declare const Textfield: React.ForwardRefExoticComponent<TextfieldProps & React.RefAttributes<HTMLInputElement>>;
export default Textfield;
//# sourceMappingURL=index.d.ts.map