import React from "react";
export declare type ButtonProps = React.AnchorHTMLAttributes<HTMLAnchorElement> & {
    size?: "small" | "medium" | "large";
    startIcon?: React.ReactNode;
    endIcon?: React.ReactNode;
    children: React.ReactNode;
    className?: string;
    disabled?: boolean;
    isAnchor?: boolean;
    href?: string;
    color?: "inherit" | "default" | "brand" | "primary" | "secondary" | "light" | "cheese" | string;
    fullWidth?: boolean;
    variant?: "contained" | "outlined" | "text";
    onClick?: (e: React.MouseEvent | React.TouchEvent) => void;
};
export declare type RefType = HTMLButtonElement;
declare const Button: React.ForwardRefExoticComponent<React.AnchorHTMLAttributes<HTMLAnchorElement> & {
    size?: "small" | "medium" | "large" | undefined;
    startIcon?: React.ReactNode;
    endIcon?: React.ReactNode;
    children: React.ReactNode;
    className?: string | undefined;
    disabled?: boolean | undefined;
    isAnchor?: boolean | undefined;
    href?: string | undefined;
    color?: string | undefined;
    fullWidth?: boolean | undefined;
    variant?: "contained" | "outlined" | "text" | undefined;
    onClick?: ((e: React.MouseEvent | React.TouchEvent) => void) | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default Button;
//# sourceMappingURL=index.d.ts.map