import React from "react";
import { TextfieldProps } from "../Textfield";
export declare type ItemType = {
    key: string | number;
    value: string;
};
export declare type SelectProps = TextfieldProps & {
    options: ItemType[];
    onChange?: (select: string) => void;
    position?: "top" | "bottom";
    disabledInput?: boolean;
};
export declare type RefType = HTMLInputElement;
declare const Select: React.ForwardRefExoticComponent<TextfieldProps & {
    options: ItemType[];
    onChange?: ((select: string) => void) | undefined;
    position?: "top" | "bottom" | undefined;
    disabledInput?: boolean | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export default Select;
//# sourceMappingURL=index.d.ts.map